### Function

# Soup form_decode

#### Declaration [src]

    GHashTable*
    soup_form_decode (
      const char* encoded_form
    )

#### Description [src]

Decodes `form`.

which is an urlencoded dataset as defined in the HTML 4.01 spec.

#### Parameters

`encoded_form` | `const char*`
| Data of type “application/x-www-form-urlencoded”
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GHashTable`
| A hash table containing the name/value pairs from `encoded_form`, which you can free with `g_hash_table_destroy()`.
| The caller of the function takes ownership of the data container, but not the data inside it.